## ros-humble-plansys2-lifecycle-manager 2.0.9

=== test/CMakeLists.txt ===
ament_add_gtest(lf_manager_test lf_manager_test.cpp)
ament_target_dependencies(lf_manager_test ${dependencies})
target_link_libraries(lf_manager_test ${PROJECT_NAME})

=== debian/changelog ===
ros-humble-plansys2-lifecycle-manager (2.0.9-1bookworm) bookworm; urgency=high

  * Humble Upgrade
  * Fix possible bug https://github.com/ros2/rclcpp/issues/1968
  * Expose lifecyclemanager timeout as a parameter, other misc fixes/features
  * Change bringup node to return an error on failure
  * Add timeout to startup_function
  * Rename function 'startup_script'
  * change 'startup_script'... function return to bool
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (2.0.8-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (2.0.7-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (2.0.6-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (2.0.5-1bookworm) bookworm; urgency=high

  * Fix ROS2 Buildfarm error due to Threads
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (2.0.4-1bookworm) bookworm; urgency=high

  * Fix version
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (2.0.3-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (2.0.2-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (2.0.1-1bookworm) bookworm; urgency=high

  * Merge galactic-devel
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (2.0.0-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (1.0.10-1bookworm) bookworm; urgency=high

  * Update version
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (1.0.9-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (1.0.8-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (1.0.7-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 03 Jan 2021 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (1.0.6-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 28 Dec 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (1.0.5-1bookworm) bookworm; urgency=high

  * Migration to c++17
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 27 Dec 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (1.0.4-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (1.0.3-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (1.0.2-1bookworm) bookworm; urgency=high

  * Plan solvers as plugins
  * Contributors: Fabrice Larribe, Francisco Martin Rico, f269858

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (1.0.1-1bookworm) bookworm; urgency=high

  * Foxy initial version
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (1.0.0-1bookworm) bookworm; urgency=high

  * Boost:optional
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (0.0.8-1bookworm) bookworm; urgency=high

  * Foxy initial version
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 17 Jul 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (0.0.7-1bookworm) bookworm; urgency=high

  * Fix warning in last cmake versions
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 Mar 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (0.0.6-1bookworm) bookworm; urgency=high

  * Run in separate namespaces. Monolothic node
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 22 Mar 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (0.0.5-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 11 Jan 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (0.0.4-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (0.0.3-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 16:00:00 -0000

ros-humble-plansys2-lifecycle-manager (0.0.2-1bookworm) bookworm; urgency=high

  * Packages.xml description
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Execute actions independiently. Example


=== debian/control ===
Source: ros-humble-plansys2-lifecycle-manager
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-lifecycle-msgs, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-plansys2-lifecycle-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-lifecycle-msgs, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-ros-workspace
Description: A controller/manager for the lifecycle nodes of the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-plansys2-lifecycle-manager//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-plansys2-lifecycle-manager//opt/ros/humble/opt/plansys2_lifecycle_manager/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
